org.apache.tomcat.jdbc.pool

## Class MultiLockFairBlockingQueue.FairIterator

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.FairIterator

- All Implemented Interfaces:
    Iterator<E>
  Enclosing class:
    MultiLockFairBlockingQueue<E>

      protected class MultiLockFairBlockingQueue.FairIterator
      extends Object
      implements Iterator<E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiLockFairBlockingQueue.FairIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiLockFairBlockingQueue.FairIterator

          public MultiLockFairBlockingQueue.FairIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.